Subject: What? No EXITFOR ??

From: Kent Pitman <[email-masked]>
Date: Sun, 9 May 1993 19:52:04 -0700

yduJ informs me that MOO has no EXITFOR primitive.
I just wrote:

    for entry in ($time_utils.time_units)
      if (unit in entry[2..length(entry)])
        nsec = nsec + entry[1] * n;
      endif
    endfor

I actually -want- to stop the loop after I find the first entry, since
no others will match, but I guess I'll have to keep spinning my wheels
through the whole list, consing away as I go.

In an interpreted-only language with the chronic lagginess that
LambdaMOO (for example) exhibits, any elegance argument that says that
exitfor is not "the right thing" for situations like this are surely
misguided.